Package ru.bitel.bgbilling.modules.megogo.server.bean

# Class MegogoSubscriptionDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<MegogoSubscription>
ru.bitel.bgbilling.common.dao.AbstractIdDao<MegogoSubscription>
ru.bitel.bgbilling.modules.megogo.server.bean.MegogoSubscriptionDao

public class MegogoSubscriptionDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<MegogoSubscription>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `MEGOGO_SUBSCRIPTION_TABLE_NAME`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegogoSubscriptionDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MegogoSubscription`
  `getByServiceId(int serviceId)`
  Получить подписку по коду услуги.
  `protected MegogoSubscription`
  `getFromRS(ResultSet rs)`
  `List<Integer>`
  `getMainSubscriptionsServiceIds()`
  Получить список кодов основных услуг
  `List<MegogoSubscription>`
  `getSubscriptionList(Boolean used, int type)`
  Получить список подписок.
  `protected void`
  `updateImpl(MegogoSubscription subscription)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MEGOGO_SUBSCRIPTION_TABLE_NAME

    public static final String MEGOGO_SUBSCRIPTION_TABLE_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MegogoSubscriptionDao

    public MegogoSubscriptionDao(Connection con, int moduleId)

- ## Method Details

  - ### getMainSubscriptionsServiceIds

    public List<Integer> getMainSubscriptionsServiceIds() throws SQLException
    Получить список кодов основных услуг
    Returns:
    Throws:
      `SQLException`

  - ### getSubscriptionList

    public List<MegogoSubscription> getSubscriptionList(Boolean used, int type) throws SQLException
    Получить список подписок.
    Parameters:
      `used` - - если true - то только используемые, false - не используемые, null - все.
      `type` - - тип услуги. 1- основные, 2 - дополнительные независемые, -1 - все.
    Returns:
    Throws:
      `SQLException`

  - ### getByServiceId

    public MegogoSubscription getByServiceId(int serviceId) throws SQLException
    Получить подписку по коду услуги. Без
    Код услуги и подписки соотносятся один к одному.
    Parameters:
      `serviceId` - - код услуги модуля
    Returns:
    Throws:
      `SQLException`

  - ### getFromRS

    protected MegogoSubscription getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<MegogoSubscription>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(MegogoSubscription subscription) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<MegogoSubscription>`
    Throws:
      `SQLException`